%global rbname gruby

Summary: gRuby
Name: ruby-%{rbname}

%global momorel 2

Version: 0.0.1
Release: %{momorel}m
Group: Development/Libraries
License: LGPL
URL: http://gruby.sourceforge.jp/

%NoSource 0 http://dl.sourceforge.jp/gruby/7814/gruby-%{version}.tar.gz dc5283e64a03603715533d296219e8d9

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby-GD

Requires: ruby-GD, ruby-uconv

%description
gRuby is wrapper of Ruby/GD.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q  -n gruby-%{version}

%build
ruby setup.rb --quiet config \
    --site-ruby=%{buildroot}%{ruby_libdir}

ruby setup.rb --quiet setup

%install
rm -rf %{buildroot}
ruby setup.rb --quiet install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LGPL README.en.rd README.ja.rd example
%{ruby_libdir}/grb

%changelog
* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0.1-2m)
- BuilArch: noarch

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.0.1-1m)
- version 0.0.1

* Tue Aug  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0-0.20020924.4m)
- be quiet

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0-0.20020924.3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0-0.20020924.2m)
- rebuild against ruby-1.8.0.

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0-0.20020924.1m)
- 2002-09-24 snap.
